For AI agents: the documentation index is at /llms.txt, and this page is available as Markdown at /api/institutional/get-assets-cefi.md.
Get assets
Query for assets available on the exchange by specific asset ID or name. If no query parameters are supplied than ALL available assets will be returned.
id?stringID of asset to query for.
^[1-9][0-9]*$1 <= lengthname?stringFilters assets by name. Returns assets where the name is an exact match or contains the provided substring. Matching is case-sensitive.
1 <= lengthSuccessful operation.
application/json- response
[index: integer]?curl -X GET 'https://api.truex.co/v1/cefi/assets'[ { "id": "78901949717282824", "status": "ACTIVE", "fields": { "name": "BTC", "min_transfer_qty": "1000.01", "max_transfer_qty": "9999.99", "flags": [ "STABLECOIN" ] } }]Get supported API versions GET
Returns a list of supported API versions with their deprecation status. Use this endpoint to discover available versions and plan migrations when versions are deprecated.
Get instruments GET
Query for instruments available on the exchange by specific instrument ID or symbol. If no query parameters are supplied than ALL available instruments will be returned.